LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08573Bug reports[All Projects] Survey takingpublic2014-01-21 14:232014-01-31 17:32
Reportermofog 
Assigned Tosammousa 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.05+ 
Target VersionFixed in Version 
Summary08573: Surveylist does not show translated survey titles
DescriptionThe surveylist does not show translated survey titles on the landing page, i.e., the page that says "The following surveys are available:" in English. Also, there is no support for the keyword {LANGUAGECHANGER}.
Steps To Reproduce- Create a survey with more than one language, e.g., English and German, and activate it.
- Select any template for the survey and the overall LimeSurvey installation.
- Browse to http://yourdomain.tld/. [^]
- It will show you the localized surveylist.pstpl, but the survey's name will be shown in English (or whatever the primary language was) only.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID140109
Browser
Database & DB-Versionmysqld Ver 5.1.61-ndb-7.1.22-log for suse-linux-gnu on x86_64 (SUSE MySQL RPM)
Operating System (Server)OpenSuSE
Webserver software & versionApache/2.2.21 (Linux/SUSE)
PHP Version5.3.8
Attached Filespng file icon Bildschirmfoto 2014-01-21 um 14.21.02.png [^] (81,506 bytes) 2014-01-21 14:23


? file icon limesurvey_survey_897749.lss [^] (18,487 bytes) 2014-01-21 14:26

- Relationships

-  Notes
User avatar (28248)
sammousa (developer)
2014-01-28 10:45

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13796 [^]
User avatar (28347)
c_schmitz (administrator)
2014-01-31 17:32

LimeSurvey 2-05+ Build 140131 released

- Related Changesets
LimeSurvey: master 9c763314
Timestamp: 2014-01-28 09:45:17
Author: sammousa
Committer: Sam Mousa
Details ] Diff ]
Fixed issue 08573: Surveylist does not show translated survey titles
mod - application/controllers/SurveysController.php Diff ] File ]
mod - application/helpers/frontend_helper.php Diff ] File ]
mod - application/models/Survey.php Diff ] File ]
mod - application/views/surveys/publicSurveyList.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-21 14:23 mofog New Issue
2014-01-21 14:23 mofog File Added: Bildschirmfoto 2014-01-21 um 14.21.02.png
2014-01-21 14:26 mofog File Added: limesurvey_survey_897749.lss
2014-01-21 14:32 c_schmitz Assigned To => sammousa
2014-01-21 14:32 c_schmitz Status new => assigned
2014-01-28 10:45 sammousa Status assigned => resolved
2014-01-28 10:45 sammousa Resolution open => fixed
2014-01-28 10:45 sammousa Changeset attached => LimeSurvey master 9c763314
2014-01-28 10:45 sammousa Note Added: 28248
2014-01-31 17:32 c_schmitz Note Added: 28347
2014-01-31 17:32 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker